pytest (8.3.5-1) unstable; urgency=medium

  * New upstream version 8.3.5

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Mar 2025 20:15:54 +0100

pytest (8.3.4-1) unstable; urgency=medium

  * New upstream version 8.3.4
  * Wrap and sort Debian package files
  * Remove old Breaks declarations

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Dec 2024 15:51:21 +0100

pytest (8.3.3-1) unstable; urgency=medium

  * New upstream version 8.3.3

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 09:41:58 +0200

pytest (8.3.2-1) unstable; urgency=medium

  * New upstream version 8.3.2
  * Make the build reproducible.
    Thanks to Chris Lamb (Closes: #1077485)

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Jul 2024 01:57:33 +0200

pytest (8.3.1-1) unstable; urgency=medium

  * New upstream version 8.3.1
  * Update patches
    - Drop backported fix for flaky test plugins
  * Update build depends
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Jul 2024 10:50:25 +0200

pytest (8.2.2-2) unstable; urgency=medium

  * Fix test regressions for flaky test plugins.
    Thanks to Chris Peterson (Closes: #1072810)

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Jun 2024 00:24:50 +0200

pytest (8.2.2-1) unstable; urgency=medium

  * New upstream version 8.2.2
  * Refresh patches (no functional change)
  * Documentation builds with Furo theme now

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Jun 2024 15:34:35 +0200

pytest (8.2.1-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: breaks older versions of the mypy and astropy packages.

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 23:29:56 +0200

pytest (8.2.1-1) unstable; urgency=medium

  * New upstream version 8.2.1
  * Update patches
    - Drop Ignore-permission-denied-errors-during-directory-col.patch
      (obsolete, fixed in upstream)

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 13:37:10 +0200

pytest (8.1.2-1) unstable; urgency=medium

  * New upstream version 8.1.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Apr 2024 12:53:11 +0200

pytest (8.1.1-2) unstable; urgency=medium

  * Update patches
    - Merge Sphinx config patches into Disable-Sphinx-extensions.patch
    - Add patch to ignore permission errors during directory collection

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 11:03:08 +0200

pytest (8.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Timo Röhling ]
  * New upstream version 8.1.1
  * Drop B-D on python3-twisted

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 14:43:09 +0100

pytest (8.0.2-1) unstable; urgency=medium

  * New upstream version 8.0.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Feb 2024 12:00:38 +0100

pytest (8.0.1-1) experimental; urgency=medium

  * New upstream version 8.0.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 19 Feb 2024 17:39:13 +0100

pytest (8.0.0-1) experimental; urgency=medium

  * New upstream version 8.0.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Jan 2024 15:13:36 +0100

pytest (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream version 8.0.0~rc1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 03 Jan 2024 13:13:09 +0100

pytest (7.4.4-3) unstable; urgency=medium

  * Depend on pluggy >= 1.4.0 as the test fix breaks with older versions

 -- Timo Röhling <roehling@debian.org>  Mon, 05 Feb 2024 14:40:23 +0100

pytest (7.4.4-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove extraneous python3-mock build-dep

  [ Timo Röhling ]
  * Fix test failures with pluggy 1.4.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Jan 2024 13:47:47 +0100

pytest (7.4.4-1) unstable; urgency=medium

  * New upstream version 7.4.4

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Jan 2024 20:49:04 +0100

pytest (7.4.3-2) unstable; urgency=medium

  * Fix incorrect {build_dir} query in d/rules (Closes: #1058342)
  * Drop obsolete PYBUILD_TEST_CUSTOM workaround

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Dec 2023 16:02:32 +0100

pytest (7.4.3-1) unstable; urgency=medium

  * New upstream version 7.4.3

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Oct 2023 10:50:16 +0200

pytest (7.4.2-1) unstable; urgency=medium

  * New upstream version 7.4.2

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Sep 2023 13:21:20 +0200

pytest (7.4.1-1) unstable; urgency=medium

  * Add myself to uploaders
  * New upstream version 7.4.1
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Sep 2023 15:17:54 +0200

pytest (7.4.0-2) unstable; urgency=medium

  * Team upload.
  * Update Build-Depends and fix "nocheck" profile

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Jul 2023 00:00:14 +0200

pytest (7.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.4.0
    - Fixes a testpath discovery regression which may affect autopkgtest
  * Refresh patches
    - Mark all Debian-specific patches as Forwarded: not-needed
  * Migrate debian/watch to version 4 format

 -- Timo Röhling <roehling@debian.org>  Tue, 04 Jul 2023 13:07:33 +0200

pytest (7.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.3.2

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 20:40:49 +0200

pytest (7.2.1-2) unstable; urgency=medium

  * Team upload.
  * Drop depends on python3-exceptiongroup and python3-tomli
  * Add depend on pybuild-plugin-pyproject

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Feb 2023 16:28:14 +0100

pytest (7.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.2.1
  * Drop patch for Python 3.11 test workarounds (fixed by upstream)

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Jan 2023 14:56:01 +0100

pytest (7.2.0-4) unstable; urgency=medium

  * Team upload.
  * Fix dependency issues with Python 3.11 transition.
    Both python3-exceptiongroup and python3-tomli are no longer
    needed with Python 3.11, but as long as Python 3.10 is still
    in the archive, pytest should depend on them to not break
    Python 3.10 tests. (Closes: #1027751)
  * Drop ${sphinxdoc:Built-Using} from python-pytest-doc
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Jan 2023 22:57:25 +0100

pytest (7.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Drop unused build-depends

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Dec 2022 00:49:17 +0100

pytest (7.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Drop ancient d/NEWS

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Dec 2022 19:42:41 +0100

pytest (7.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 7.2.0
  * Use autopkgtest-pkg-pybuild
  * Ignore flaky test_raise_assertion_error_raising_repr with Python < 3.11

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Dec 2022 18:26:20 +0100

pytest (7.1.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Remove constraints unnecessary since buster (oldstable)
  * Apply multi-arch hints. + python-pytest-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:37:43 +0100

pytest (7.1.2-3) unstable; urgency=medium

  * Team upload

  [ Andreas Hasenack ]
  * d/t/control: also depend on lsof, used in the unittests-3 tests
  * d/t/control: Add allow-stderr restriction (LP: #1984135)

 -- Bastian Germann <bage@debian.org>  Tue, 27 Sep 2022 09:35:16 +0200

pytest (7.1.2-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jun 2022 23:09:47 -0400

pytest (7.1.2-1) experimental; urgency=medium

  * New upstream release; Closes: #1010605
  * Refresh patches
  * debian/control
    - run wrap-and-sort
    - bump Standard-Version to 4.6.1 (no changes needed)
  * debian/patches/PR10026.patch
    - fix manpage source location
  * debian/patches/0004-Fix-test_errors_in_xfail_skip_expressions-for-Python.patch
    - drop patch, merged upstream
  * debian/copyright
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Jun 2022 15:46:15 -0400

pytest (6.2.5-3) unstable; urgency=medium

  * Team upload.
  * Keep upstream's entry points

 -- Bastian Germann <bage@debian.org>  Fri, 20 May 2022 21:20:14 +0200

pytest (6.2.5-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix test failure (Closes: #1002389)
  * Drop pluggy version restriction

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Mar 2022 08:05:09 +0100

pytest (6.2.5-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Update pytest-xdist Breaks version

  [ Sandro Tosi ]
  * New upstream release; Closes: #979477

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Sep 2021 21:35:38 -0400

pytest (6.0.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Ignore changes in src/_pytest/_version.py,
    autogenerated with setuptools_scm
    (Closes: #978289).

 -- Ondřej Nový <onovy@debian.org>  Sat, 02 Jan 2021 14:34:07 +0100

pytest (6.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Oct 2020 13:31:47 +0100

pytest (6.0.1-1) experimental; urgency=medium

  [ Christian Kastner ]
  * New upstream release. (Closes: #965929)
    - Refresh patches
    - Drop obsolete patches
  * d/watch: Drop the 4.* limit
  * Add to Build-Depends, mostly for build-time tests: python3-argcomplete,
    python3-iniconfig, python3-mock, python3-pluggy, python3-requests,
    python3-toml, python3-pallets-sphinx-themes, python3-xmlschema
  * Skip failing test_code_highlight failing with pygments 2.3.1
  * Add python3-pygments to Build-Depends
  * Add python3-pygments to Recommends
  * Re-enable previously failing tests that now pass
  * Add autopkgtest for full upstream test suite
  * Update d/copyright

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Oct 2020 13:35:05 +0200

pytest (4.6.11-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 11 Jun 2020 17:02:56 +0200

pytest (4.6.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop PyPy support (Closes: #958848)
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.
  * d/tests/smoketest-3: Use supported not installed Python versions.
  * Fix doc-base and add symlinks for docs (Closes: #959974).

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 13:03:24 +0200

pytest (4.6.9-3) unstable; urgency=medium

  * debian/control
    - decorate python3-twisted with nocheck, as it's only used by unittests
  * Drop python2 support; Closes: #937558

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 00:44:22 -0400

pytest (4.6.9-2) unstable; urgency=medium

  * remove python-twisted from b-d, 7 additional tests are skipped in
    test_unittest.py, but it allows to reduce the number ov reverse dependencies
    of python-twisted

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Mar 2020 02:09:47 -0400

pytest (4.6.9-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Bump copyright years.
  * python-pytest-doc: Prefer to recommend python3-pytest.
  * Build-Depend on python2-doc instead of python-doc.

 -- Ondřej Nový <onovy@debian.org>  Wed, 08 Jan 2020 16:42:25 +0100

pytest (4.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 18:02:28 +0100

pytest (4.6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release

  [ Stefano Rivera ]
  * Skip the mock integration test under PyPy, there isn't a pypy-mock
    package in Debian.
  * Patch: Restore write access to test directories, in writeable tests..

 -- Ondřej Nový <onovy@debian.org>  Tue, 10 Dec 2019 13:30:06 +0100

pytest (4.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Add Breaks of older:
    - python{,3}-pytest-mock
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 20 Oct 2019 22:13:09 +0200

pytest (4.6.5-2) unstable; urgency=medium

  * Add Breaks of older:
    - python{,3}-pytest-cov
    - python{,3}-pytest-xdist
    - python{,3}-pytest-xvfb
    - python{,3}-flaky
  * Drop versioned depends and breaks older than oldstable.
  * Remove python3-mock from B-D.

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Aug 2019 14:54:00 +0200

pytest (4.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Aug 2019 10:17:18 +0200

pytest (4.6.4-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Limit to major version 4, because 5+ is Python 3 only
  * d/patches/0006-tests-fix-test_raises_exception_looks_iterable.patch:
    Drop, applied upstream
  * d/patches: Rebased
  * Fix B-D a D for new upstream release
  * Disable some of Sphinx extensions which we don't have in Debian (yet)
  * Use debhelper-compat instead of debian/compat.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 23:10:41 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-pytest-doc`.
